dbXML API

## com.dbxml.db.server.labrador
Class BasicAuthFilter

    java.lang.Object
      com.dbxml.labrador.filters.BasicAuthFilter
          com.dbxml.db.server.labrador.BasicAuthFilter

All Implemented Interfaces:
  com.dbxml.labrador.Filter

public final class BasicAuthFilter
extends com.dbxml.labrador.filters.BasicAuthFilter

BasicAuthFilter

Field Summary

Fields inherited from class com.dbxml.labrador.filters.BasicAuthFilter
`PROP_PASS, PROP_USER`

Constructor Summary
`BasicAuthFilter(SecurityManager security)`

Method Summary
`java.lang.String` `getAuthRealm(com.dbxml.labrador.Request request)`
`boolean` `isAuthRequired(com.dbxml.labrador.Request request)`
`boolean` `isAuthValid(java.lang.String user, java.lang.String pass)`

Methods inherited from class com.dbxml.labrador.filters.BasicAuthFilter
`filter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAuthFilter

    public BasicAuthFilter(SecurityManager security)

Method Detail

### getAuthRealm

    public java.lang.String getAuthRealm(com.dbxml.labrador.Request request)

### isAuthRequired

    public boolean isAuthRequired(com.dbxml.labrador.Request request)

### isAuthValid

    public boolean isAuthValid(java.lang.String user,
                               java.lang.String pass)

dbXML API

Copyright (c) 2004 The dbXML Group